zone_db Struct Reference

`#include <zone_db.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | policy_id
const policy_t * | associated_policy_id
policy_t * | private_policy_id
char * | name
unsigned int | signconf_needs_writing
char * | signconf_path
int | next_change
unsigned int | ttl_end_ds
unsigned int | ttl_end_dk
unsigned int | ttl_end_rs
unsigned int | roll_ksk_now
unsigned int | roll_zsk_now
unsigned int | roll_csk_now
char * | input_adapter_type
char * | input_adapter_uri
char * | output_adapter_type
char * | output_adapter_uri
unsigned int | next_ksk_roll
unsigned int | next_zsk_roll
unsigned int | next_csk_roll
key_data_list_t * | key_data_list
key_dependency_list_t * | key_dependency_list

## Detailed Description

A zone object.

Definition at line 46 of file zone_db.h.

## Field Documentation

## associated_policy_id

const policy_t* zone_db::associated_policy_id

Definition at line 51 of file zone_db.h.

Referenced by zone_db_copy(), and zone_db_get_policy().

## dbo

db_object_t* zone_db::dbo

Definition at line 47 of file zone_db.h.

Referenced by zone_db_count(), zone_db_create(), zone_db_delete(), zone_db_free(), zone_db_get_by_id(), zone_db_get_by_name(), zone_db_get_key_dependencies(), zone_db_get_keys(), zone_db_get_policy(), zone_db_new(), zone_db_new_copy(), and zone_db_update().

## id

db_value_t zone_db::id

Definition at line 48 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_delete(), zone_db_free(), zone_db_from_result(), zone_db_get_key_dependencies(), zone_db_get_keys(), zone_db_id(), zone_db_new(), and zone_db_update().

## input_adapter_type

char* zone_db::input_adapter_type

Definition at line 63 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_input_adapter_type(), zone_db_new(), zone_db_set_input_adapter_type(), and zone_db_update().

## input_adapter_uri

char* zone_db::input_adapter_uri

Definition at line 64 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_input_adapter_uri(), zone_db_set_input_adapter_uri(), and zone_db_update().

## key_data_list

key_data_list_t* zone_db::key_data_list

Definition at line 70 of file zone_db.h.

Referenced by zone_db_copy(), and zone_db_free().

## key_dependency_list

key_dependency_list_t* zone_db::key_dependency_list

Definition at line 71 of file zone_db.h.

Referenced by zone_db_copy(), and zone_db_free().

## name

char* zone_db::name

Definition at line 53 of file zone_db.h.

Referenced by enforce_task_flush_all(), enforce_task_flush_policy(), zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_name(), zone_db_set_name(), and zone_db_update().

## next_change

int zone_db::next_change

Definition at line 56 of file zone_db.h.

Referenced by change_keys_from_to(), zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_next_change(), zone_db_set_next_change(), and zone_db_update().

## next_csk_roll

unsigned int zone_db::next_csk_roll

Definition at line 69 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_next_csk_roll(), zone_db_set_next_csk_roll(), and zone_db_update().

## next_ksk_roll

unsigned int zone_db::next_ksk_roll

Definition at line 67 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_next_ksk_roll(), zone_db_set_next_ksk_roll(), and zone_db_update().

## next_zsk_roll

unsigned int zone_db::next_zsk_roll

Definition at line 68 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_next_zsk_roll(), zone_db_set_next_zsk_roll(), and zone_db_update().

## output_adapter_type

char* zone_db::output_adapter_type

Definition at line 65 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_new(), zone_db_output_adapter_type(), zone_db_set_output_adapter_type(), and zone_db_update().

## output_adapter_uri

char* zone_db::output_adapter_uri

Definition at line 66 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_output_adapter_uri(), zone_db_set_output_adapter_uri(), and zone_db_update().

## policy_id

db_value_t zone_db::policy_id

Definition at line 50 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_get_policy(), zone_db_new(), zone_db_policy_id(), zone_db_set_policy_id(), and zone_db_update().

## private_policy_id

policy_t* zone_db::private_policy_id

Definition at line 52 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_free(), and zone_db_get_policy().

## rev

db_value_t zone_db::rev

Definition at line 49 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_delete(), zone_db_free(), zone_db_from_result(), zone_db_new(), and zone_db_update().

## roll_csk_now

unsigned int zone_db::roll_csk_now

Definition at line 62 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_roll_csk_now(), zone_db_set_roll_csk_now(), and zone_db_update().

## roll_ksk_now

unsigned int zone_db::roll_ksk_now

Definition at line 60 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_roll_ksk_now(), zone_db_set_roll_ksk_now(), and zone_db_update().

## roll_zsk_now

unsigned int zone_db::roll_zsk_now

Definition at line 61 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_roll_zsk_now(), zone_db_set_roll_zsk_now(), and zone_db_update().

## signconf_needs_writing

unsigned int zone_db::signconf_needs_writing

Definition at line 54 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_set_signconf_needs_writing(), zone_db_signconf_needs_writing(), and zone_db_update().

## signconf_path

char* zone_db::signconf_path

Definition at line 55 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_free(), zone_db_from_result(), zone_db_set_signconf_path(), zone_db_signconf_path(), and zone_db_update().

## ttl_end_dk

unsigned int zone_db::ttl_end_dk

Definition at line 58 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_set_ttl_end_dk(), zone_db_ttl_end_dk(), and zone_db_update().

## ttl_end_ds

unsigned int zone_db::ttl_end_ds

Definition at line 57 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_set_ttl_end_ds(), zone_db_ttl_end_ds(), and zone_db_update().

## ttl_end_rs

unsigned int zone_db::ttl_end_rs

Definition at line 59 of file zone_db.h.

Referenced by zone_db_copy(), zone_db_create(), zone_db_from_result(), zone_db_set_ttl_end_rs(), zone_db_ttl_end_rs(), and zone_db_update().

The documentation for this struct was generated from the following file:

- src/db/zone_db.h